﻿using System.Windows;
using System.Windows.Controls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;
using System.Collections.ObjectModel;

namespace CSHowDoISamples
{
    public partial class DisplayASimpleMap : UserControl
    {
        public DisplayASimpleMap()
        {
            InitializeComponent();
        }

        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            Map1.CurrentExtent = new RectangleShape(-155.733, 95.60, 104.42, -81.9);
            WorldMapKitWmsWpfOverlay worldOverlay = new WorldMapKitWmsWpfOverlay();
            //Map1.Overlays.Add("WMK", worldOverlay);

            string kmlFile = @"..\..\kml\KML_Samples.kml";
            
            KmlLayer kmlLayer = new KmlLayer(kmlFile);
            //KmlFeatureLayer kmlLayer = new KmlFeatureLayer(kmlFile);
            //KmlRasterLayer kmlLayer = new KmlRasterLayer(kmlFile);
            //KmlAdornmentLayer kmlLayer = new KmlAdornmentLayer(kmlFile);

            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add(kmlLayer);
            Map1.Overlays.Add(overlay);
            kmlLayer.Open();

            Map1.CurrentExtent = kmlLayer.GetBoundingBox();
            Map1.Refresh(); 
            //Collection<Feature> allFeatures = kmlLayer.FeatureSource.GetAllFeatures(ReturningColumnsType.AllColumns);
            //Collection<MapShape> allShapes = KmlFeatureLayer.GetAllMapShapes(kmlFile);
        }
    }
}
